version: "3.2"
services:
  servidor:
    build: .
    container_name: servidor
    ports:
      - "8080:80"
    volumes:
      - ./:/var/www/html
    depends_on:
      - database
      - postgres9-5
    environment:
      - TZ=America/Lima
    command: bash -c "chmod 777 -R /var/www/html && chown www-data:www-data -R /var/www/html && /usr/sbin/apache2ctl -D FOREGROUND"
    networks:
      net:
        ipv4_address: 172.130.0.11

  database:
    image: mysql:latest
    container_name: mysql
    command: mysqld --default-authentication-plugin=mysql_native_password
    restart: always
    ports:
      - "3306:3306"
    environment:
      - MYSQL_ROOT_PASSWORD=rootpassword
      - MYSQL_ROOT_HOST=%
      - MYSQL_DATABASE=dbcomercio
      - TZ=America/Lima
    volumes:
      - ./database/data:/var/lib/mysql/
      # - $PWD/bd/dump.sql:/docker-entrypoint-initdb.d
    networks:
      net:
        ipv4_address: 172.130.0.15

  phpmyadmin:
    image: phpmyadmin/phpmyadmin
    container_name: phpmyadmin
    ports:
      - "8001:80"
    depends_on:
      - database
    environment:
      - MYSQL_USERNAME=root
      - MYSQL_ROOT_PASSWORD=rootpassword
      - PMA_HOST=mysql
      - TZ=America/Lima
    networks:
      net:
        ipv4_address: 172.130.0.16

networks:
  net:
    driver: bridge
    ipam:
      driver: default
      config:
        - subnet: 172.130.0.0/24
